Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
cyrus-imapd config update WTF?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
palettentreter
Tux's lil' helper
Tux's lil' helper


Joined: 06 Feb 2006
Posts: 99

PostPosted: Tue Nov 14, 2017 11:18 pm    Post subject: cyrus-imapd config update WTF? Reply with quote

Hi all,

so I'm casually doing an etc-update on some server, when suddenly I can't believe my eyes:

Code:
 
  # This is only necessary if using duplicate delivery suppre |   # this is only necessary if using duplicate delivery suppre
  delprune      cmd="ctl_deliver -E 3" period=1440            |   # Sieve or NNTP
                                                              >   delprune      cmd="cyr_expire -E 3" at=0400
                                                              >
                                                              >   # Expire data older than 28 days.
                                                              >   deleteprune   cmd="cyr_expire -E 4 -D 28" at=0430
                                                              >   expungeprune  cmd="cyr_expire -E 4 -X 28" at=0445
                                                              >
                                                              >   # this is only necessary if caching TLS sessions
                                                              >   tlsprune      cmd="tls_prune" at=0400
                                                              > }


Does this actually do what it looks like it does? The update is actually pushing a config setting that will EXPIRE DATA OLDER THAN 28 DAYS??
Without investigating further, I obviously commented that section out, so maybe the wording is just misleading or I'm not reading it right. But if this actually does what it says, then it should come with a HUGE, BIG FAT warning! People do etc-update every day and one certainly wouldn't expect to receive an update to the DEFAULT config that changes the behaviour of the server so that it actively destroys data. What's going on? Did this come in from upstream just like that?
Back to top
View user's profile Send private message
palettentreter
Tux's lil' helper
Tux's lil' helper


Joined: 06 Feb 2006
Posts: 99

PostPosted: Tue Nov 14, 2017 11:32 pm    Post subject: Reply with quote

Ok, so after a quick glance at the manpage of cyr_expire, it looks like the setting only affects data that have been previously deleted by the user. But then why doesn't it say that in the comment? In that case it should be "Expire DELETED data older than 28 days"...?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum